[mythtv-users] New deinterlacer for perfect image quality when using an interlaced display, mode that matches the source

Paul Gardiner lists at glidos.net
Mon Apr 6 04:43:41 UTC 2009


Tom Dexter wrote:
> On Sun, Apr 5, 2009 at 3:21 PM, Paul Gardiner <lists at glidos.net> wrote:
>> Paul Gardiner wrote:
>>> Jean-Yves Avenard wrote:
>>>> Hi
>>>>
>>>> 2009/4/4 Paul Gardiner <lists at glidos.net>:
>>>>
>>>>> I've backported Mark Kendall's improved version of the patch to fixes
>>>>> and fixes with vdpau plus opengl. I've uploaded the new patches to
>>>>> the original ticket: http://svn.mythtv.org/trac/attachment/ticket/6391/
>>>> Just a note that I have included your patches in the VDPAU patch set
>>>> from version 20300 (I used the trunk version).
>>>> Now that it has been merged with trunk, it is easier for me to
>>>> maintain my VDPAU backport that way.
>>> I think something may have gone wrong with that. The latest VDPAU
>>> patch set is included in minimyth v66b5. I just tied it. 2903
>>> seems to work because I can use yadif x2. Interlaced x2 is present
>>> but doesn't work: I get alternating sync and out of sync as if
>>> with no deinterlacer.
>> Thinking about this a bit more, an easy slip that would cause this
>> would be to hardwire the "field" flag - present on trunk, but not
>> on fixes - to a fixed value. Instead "dirty" can be used in place
>> of the field flag.
>>
>> Cheers,
>>        Paul.
>>
> 
> Were you experiencing those problems using the new patch with
> 0.21-fixes?  The reason I asked is that, while I didn't notice it at
> first, the new patch version appears to be doing something that is
> giving me unusual motion...not so much actual tearing, but motion
> really doesn't look right.  For tonight I'm using Bob x2.  When I get
> a chance to recompile I'm going back to the original patch.

I was having problems with the version rolled into the latest VDPAU
patch. I'm now using mythtv-0.21-field-order.5.patch, and that is
working fine. The one that I'd expect to work best for you is
mythtv-0.21-field-order.6.patch, which is almost identical, but
applies directly to 2.1 fixes. Which one were you having trouble
with?

Cheers,
	Paul.



More information about the mythtv-users mailing list